%define truename gle
Name: gle
Version: 4.0.8
Release: alt0.1
Summary: GLE - Graphics language that produces ps/eps/pdf/png/jpg ouput
Summary(ru_RU.CP1251): GLE -   .   ps/eps/pdf/png/jpg
Copyright: GPL
Group: Networking/WWW
Packager: Igor Vlasenko <viy@altlinux.org>
Source: %{truename}_%{version}_src.zip
Source1:gle-emacs.el
Source2:gle.el
Source3:gle.vim
Source4:gle-manual-4.0.8.pdf
Source5:GLEusersguide.pdf
URL: http://glx.sourceforge.net/

# Automatically added by buildreq on Sun Jun 12 2005 (-bi)
BuildRequires: XFree86-devel XFree86-libs boost-devel boost-python-devel gcc-c++ libpng-devel libstdc++-devel libtiff-devel unzip zlib-devel

%description
GLE is a graphics language that produces postscript, EPS, PDF, PNG, or JPG ouput from a simple script file. The GLE scripting language is full featured with variables, subroutines, logic control, looping, and graphing tools. It is great for plotting and charting data.

GLE can create very complex output with text and graphics (including graphs and charts) from a simple plain text file.

GLE is a full featured programing language that includes variables, subroutines, logic control, looping, a graphing tool, and more to produce high quality postscript output. It has a full range of facilities for producing publication-quality graphs, diagrams, posters and slides. GLE provides LaTeX quality fonts together with a flexible graphics module which allows the user to specify any feature of a graph (down to the line width of the subticks, for example). Complex pictures can be drawn with user-defined subroutines and simple looping structures. Essentially, GLE is a programming language and if you are used to writing software, using LaTeX, or any other non-WYSIWYG tools, then you will enjoy using GLE.

%package doc                                                                    
Summary: Documentation for the GLE - Graphics language that produces ps/eps/pdf/png/jpg ouput
Group: Books/Computer books
Conflicts: %name > %version-%release
Conflicts: %name < %version-%release

%description doc
GLE is a graphics language that produces postscript, EPS, PDF, PNG, or JPG ouput from a simple script file. The GLE scripting language is full featured with variables, subroutines, logic control, looping, and graphing tools. It is great for plotting and charting data.

GLE can create very complex output with text and graphics (including graphs and charts) from a simple plain text file.

GLE is a full featured programing language that includes variables, subroutines, logic control, looping, a graphing tool, and more to produce high quality postscript output. It has a full range of facilities for producing publication-quality graphs, diagrams, posters and slides. GLE provides LaTeX quality fonts together with a flexible graphics module which allows the user to specify any feature of a graph (down to the line width of the subticks, for example). Complex pictures can be drawn with user-defined subroutines and simple looping structures. Essentially, GLE is a programming language and if you are used to writing software, using LaTeX, or any other non-WYSIWYG tools, then you will enjoy using GLE.

This package contains documentation.

%prep

%setup -q -n %{truename}-%version

%build
export BOOSTDIR=/usr/include/boost
export GLE_TOP=$PWD
%__make -f Makefile.gcc

%install
%__make -f Makefile.gcc GLE_RPM_ROOT=$RPM_BUILD_ROOT install
%__cp %{SOURCE5} %{SOURCE4} %{SOURCE3} .
%__mkdir_p $RPM_BUILD_ROOT/%_emacslispdir
%__mkdir_p $RPM_BUILD_ROOT/etc/emacs/site-start.d
%__cp %{SOURCE1} $RPM_BUILD_ROOT/%_emacslispdir/
%__cp %{SOURCE2} $RPM_BUILD_ROOT/etc/emacs/site-start.d/

%files
%doc readme gle.vim
%_bindir/*
%_datadir/%{truename}/*
%_emacslispdir/*
/etc/emacs/site-start.d/*

%files doc
%doc gle-manual-4.0.8.pdf GLEusersguide.pdf

%changelog 
* Tue Jun 23 2005 Igor Vlasenko <viy@altlinux.ru> 4.0.8-alt0.1
- first build for Sisyphus
